image: docker:latest

stages:
  #  - build
  - deploy

before_script:
  - apk add --update npm
  - chmod +x ./setup_env.sh
  - ls
  - sh setup_env.sh

variables:
  AWS_ACCESS_KEY_ID: ${AWS_ACCESS_KEY_ID}
  AWS_SECRET_ACCESS_KEY: ${AWS_SECRET_ACCESS_KEY}

#build:
#  stage: build
#  script:
#    - echo "this is build_dev stage"
#    - ls
#  only:
#    refs:
#      - develop
#      - master

deploy-development:
  stage: deploy
  services:
    - docker:dind
  script:
    - echo "AWS_ACCESS_KEY_ID - ${AWS_ACCESS_KEY_ID}"
    - echo "AWS_ACCESS_KEY_ID - ${AWS_SECRET_ACCESS_KEY}"
    - npm i -g serverless
    - npm ci
    - sls config credentials --provider aws --key ${AWS_ACCESS_KEY_ID} --secret ${AWS_SECRET_ACCESS_KEY}
    - sls deploy --stage=development
  only:
    refs:
      - develop

deploy-product:
  stage: deploy
  services:
    - docker:dind
  script:
    - echo "AWS_ACCESS_KEY_ID - ${AWS_ACCESS_KEY_ID}"
    - echo "AWS_ACCESS_KEY_ID - ${AWS_SECRET_ACCESS_KEY}"
    - npm i -g serverless
    - npm ci
    - sls config credentials --provider aws --key ${AWS_ACCESS_KEY_ID} --secret ${AWS_SECRET_ACCESS_KEY}
    - sls deploy --stage=product
  only:
    refs:
      - master
